# BSD
BSD, standing for **B**erkeley **S**oftware **D**istribution, is a family of libre (BSD license) Unix-like operating systems.

The BSDs are a direct descendant of the original Unix operating system, unlike [Linux](linux.md) which could
be considered a clean room implementation of Unix.

Compared to Linux, BSDs have managed to keep the bloat in check and a reasonable codebase.

Unfortunately due to not being as popular as Linux, hardware support is lacking, even for old computers more than one thing is broken
(suspend-to-RAM, audio, Wireless cards...), so unless you run really old hardware (or just a computer that happens to work) BSDs are not
a very reasonable choice. For servers maybe, but note that BSD more insecure than Linux.
{ Installed FreeBSD on a thinkpad, resuming from suspension is broken and after installing
the graphics driver, the console just broke, now the installation is bricked LMAO. Now I get it, BSDs aren't mean for desktop usage
but for insecure servers :DDD ~tocariimaa }

## Main BSD distros
- [FreeBSD](https://www.freebsd.org/): the most popular, quite "Linux-like", plans to drop support for 32 bit architectures.
- [NetBSD](https://netbsd.org/): focus on portability, main user of [pkgsrc](https://www.pkgsrc.org/),
supports [Lua](lua.md) in the kernel for driver prototyping and kernel configuration.
- [OpenBSD](https://www.openbsd.org/): quite hysterical with "security features", but functional as its contributors actually daily drive it (on thinkpads).
Was forked from NetBSD.

No, MacOS is not a BSD. FreeBSD users, stop coping.

## Historical BSDs
- 386BSD: first version of BSD for IBM PC like computers. It was ready before Linux was released but due to legal issues with AT&T
it couldn't be released until 1992, a year later after Linux initial release. FreeBSD and NetBSD were forked from 386BSD.

## See Also
- [Linux](linux.md)
- [Unix](unix.md)
- [Hurd](hurd.md)
- BSD documental: <https://inv.nadeko.net/watch?v=2oLuJSFZKEs>
