# Emacs
*This article is part of the humor series*

Emacs is a [bloated](bloat.md) text editor that got overextended into some kind
of [operating system](operating_system.md) (half-assed of course).

Even some Emacs users themselves reluctantly acknowledge that vi-style bindings are superior. Indeed, vi bindings
don't cause RSI (repetitive strain injury). While a vi user may remap Escape to Caps Lock for
convenience, an Emacs user must remap Control to Caps Lock out of necessity, to save his tendons.

Part of why Emacs is so slow is because it is mostly built on its own language (with a "small" [C](c.md) core),
Emacs Lisp; some bad ripoff of [Common Lisp](common_lisp.md)
(because RMS didn't like Common Lisp for who knows why).
This also contributed to its historically high memory usage; is not that it decreased, is just that
computers now have more memory.

Notoriously, Emacs can't handle big files. This is because it loads it entirely on memory LMAO. Even
Electron-based VS Code don't have this problem.

**IMPORTANT PSA**: to escape from Emacs, use `Ctrl-x Ctrl-c` (hold Control, press x, press c, release Control).
If that doesn't work, open a new terminal because this bastard clobbers Ctrl-Z (so job control
won't work) and run this command: `pkill -9 emacs`. Run that command again to be sure. Run it
three more times if you want to rest well at night.
If you used the "Emacs" way to exit, your tendons may hurt now, so do some stretching exercises.

vi does [one thing and does it well](unix_philosophy.md); edit text. But Emacs does everything, in the worst possible way.

## How Emacs keys became so RSI inducing
Turns out in the beginning it wasn't that bad. Originally, Emacs was developed on the so called "Space Cadet"
keyboard where the Control key was now where the Alt key is on a IBM PC keyboard. Similar to how vi was developed
in a different keyboard (where the Escape key was on a more convenient position).

## What does Emacs stand for
- *Escape Meta Alt Control Shift*
- *Eight Megabytes And Constantly Swapping* 
- *Emacs Makes Any Computer Slow*
- *Editor MACroS* (disputed)
- ...

vi: `<Esc>:wq`, Emacs: `Ctrl-Meta-x Ctrl-Alt file-actions Alt-Ctrl save-file-in-current-directory-with-current-name-and-exit-please-emacs-let-me-exit`.

## The cult of Emacs
Never attempt to engage in debate with an Emacs user. They swear that:
1. RSI is not real
2. Emacs key chord soup and 80> command names are fine and superior to vi
3. Elisp is not slower than [Python](python.md) by a factor of 4
4. Anyone that doesn't use Emacs is an ignorant that is too stupid to "understand" the "Emacs" way.
5. They don't suffer from a severe case of learned helplessness
6. "org-mode" is different from just writing plain Markdown and piping the buffer into a converter
7. Having a startup time of >=1s is fine

TODO roast more

## See also
- [vi](vi.md)
