# Free Software
Free Software is software that is licensed under a free (as in freedom) license, allowing anyone to access, modify, study and share
the source code, without restrictions or permission from their authors.

A common mistake is conflating the "free" as in no price, when it actually refers to free as in freedom. To avoid ambiguity, the term
*libre* is used instead, and *gratis* as in free beer (no price).

## Free Software Movement
The Free Software Movement was founded by Richard Matthew Stallman (RMS) in 1983, along with the GNU operating system project, which
initially consisted of free versions of common UNIX utilities, including a C compiler, [GCC](gcc.md).

For software to be considered free software it must grant the following rights (unconditionally and irrevocable) also known as the
*Four essential freedoms*:
- The freedom to run the program as you wish, for any purpose (freedom 0)
- The freedom to study how the program works, and change it so it does your computing as you wish (freedom 1).
- The freedom to redistribute copies so you can help others (freedom 2).
- The freedom to distribute copies of your modified versions to others (freedom 3).

The first freedom is absolute, no software calling itself "free" can restrict its use in any way, even if such use may go against the principles
of its authors (because it doesn't imply endorsement of such actions).
The freedom 1 implies having complete and unrestricted access to the source code.

Free software prevents the use of abusive practices common in the world of proprietary and [open $ource](open_source.md)
software, by allowing anyone to study the source code and promoting ethics.

## See Also
- [Open $ource](open_source.md)
