# GNU Hurd
GNU Hurd is a collection of servers for the [GNU](gnu.md) Mach [microkernel](microkernel.md). The name
Hurd is a pun of "herd", as in a "herd" of microkernel services.

Work on the Hurd began in 1990 as a [libre](free_software.md) [Unix](unix.md)-like kernel for the GNU operating system.
Development slowed down considerably after the release of Linux in 1991, so the only work
happening now is made by a couple of volunteers.

There are experimental Hurd versions of Linux distros, such as Debian GNU/Hurd and Arch Hurd.

## MIG (Mach Interface Generator)
GNU MIG is an [IDL](idl.md) compiler for generating bindings for the Mach kernel [IPC](ipc.md), hiding the
low-level IPC details ([marshalling](marshalling.md), communication, etc.) as regular function calls.

## Resources
- [Hurd's homepage](https://www.gnu.org/software/hurd/)
- [GNU Mach](https://www.gnu.org/software/hurd/microkernel/mach.html)
- [GNU MIG](https://www.gnu.org/software/hurd/microkernel/mach/mig.html)

## See Also
- [BSD](bsd.md)
- [Unix](unix.md)
- [Linux](linux.md)
