# Ohm's Law
One of the fundamental laws of electronics and electricity, relating voltage (V [E, sometimes]), resistance (R) and intensity (I).

```
V = I * R
R = V / I
I = V / R

where
    V = Voltage, R = Resistance (in ohms), I = Current (intensity, in amperes)

Graphical mnemonic:
                     _
                    / \
                   / V \
                  /--+--\
                 / I | R \
                *----+----*
```

## See Also
- [Watt's Law](watts_law.md)
