# Transistor
Semiconductor electronic component, used for switching and current amplification. Also considered one of the most important inventions, since
it is superior to its predecesor, i.e. vacuum tubes, which are bulky, inefficient (a lot of heat dissipation), have high current consumption
and high unreliability for fast switching applications (such as digital circuits).

The invention of the transistor (at Bell Labs) made faster, cheaper, more reliable and smaller computers possible, including the invention
of integrated circuits.

## Bipolar transistors (BJT)
BJTs are current controlled.

TODO

```
         |   C                 |   C         
      +-----+               +-----+      
      |  N  |               |  P  |      
 B    +-----+          B    +-----+      
  ----|  P  |           ----|  N  |      
      +-----+               +-----+      
      |  N  |               |  P  |      
      +-----+               +-----+      
         |   E                 |    E    
```

## Field effect transistors (FET, MOSFET)
TODO
